package cn.superdesk.uniorder.dubbo.facade.operationCenter.business;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.param.operationCenter.business.BusinessDeleteParam;
import cn.superdesk.uniorder.dto.param.operationCenter.business.BusinessQueryParam;
import cn.superdesk.uniorder.dto.param.operationCenter.business.BusinessSaveParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessVo;
import cn.superdesk.uniorder.dto.vo.sys.SysSelectVo;

import java.util.List;
import java.util.Map;

public interface DubboOperationCenterBusinessService {
    R<String> saveBusiness(BusinessSaveParam param);

    R<String> delete(BusinessDeleteParam param);

    R<BusinessVo> getById(Long id);

    R<List<BusinessVo>> getListByParams(BusinessQueryParam param);

    R<List<BusinessCustomerVo>> getByBusinessId(BusinessQueryParam param);

    R<List<OperationCenterVo>> selectAll();

    List<SysSelectVo> selectList(Map<String,Object> params);
}
